Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security.net
Class ConnectionFilterImpl

    java.lang.Object
      |
      +--weblogic.security.net.ConnectionFilterImpl

public class ConnectionFilterImpl
extends java.lang.Object
implements ConnectionFilter

Default connection filter implementation. This accepts all incoming connections, and also provides static factory methods that allow the server to obtain the current connection filter.

Author:
  Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ConnectionFilterImpl()` Public no-arg constructor.

Method Summary
`void` | `accept(ConnectionEvent evt)` Only connect.
`static boolean` | `filterEnabled()` Indicate whether the connection filter is enabled in this server.
`static ConnectionFilter` | `getFilter()` Return the current server-wide connection filter in use, if any.
`static void` | `setFilter(ConnectionFilter filter)` Set the connection filter to the given instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionFilterImpl

    public ConnectionFilterImpl()

  Public no-arg constructor.

Method Detail

### accept

    public void accept(ConnectionEvent evt)
                throws FilterException

  Only connect.
  Specified by:
    accept in interface ConnectionFilter

### getFilter

    public static final ConnectionFilter getFilter()

  Return the current server-wide connection filter in use, if any.

### setFilter

    public static final void setFilter(ConnectionFilter filter)

  Set the connection filter to the given instance. This method can only be called once per server instance.

### filterEnabled

    public static final boolean filterEnabled()

  Indicate whether the connection filter is enabled in this server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD